class CatLegend{
  float x;
  float y;
  float d;
  color c;
  float alpha;
  String type;
  Tooltip catTip;
  
  float distX;
  float distY;
  
  boolean catOn = false;

  CatLegend(float tempnumber, color tempc, float tempx, float tempy){
    y = tempy;
    d = 15; // diameter
    x = tempx+d/2+(tempnumber*23); // tempnumber should start at 0
    c = tempc;
    alpha = 255;
    
    if (c == vlogC){
      type = "Vlogger";
    } else if (c == cookingC){
      type = "Cooking";
    } else if (c == gamerC){
      type = "Gamer";
    } else if (c == musicC){
      type = "Musician";
    } else if (c == danceC){
      type = "Dancer";
    } else if (c == entC){
      type = "Entertainment";
    } else if (c == otherC){
      type = "Other";
    } else{
      type = "All";
    }
    
    catTip = new Tooltip(x, y-20, type, "center");
  
  }
  
  
  void display(){
    fill(c, alpha);
    
    if (type.equals("All")){
      strokeWeight(1);
      stroke(lightGray, alpha);
    } else {
      noStroke();
    }
    
    ellipseMode(CENTER);
    ellipse(x, y, d, d);
    
    // CHECK FOR HOVER
    distX = sq(x - mouseX);
    distY = sq(y- mouseY);
    if ((distX + distY) <= sq(d/2)){
      catOn = true;
      onHover();
    } else {
      catOn = false;
      offHover();
    }
    if (alpha == 255) {
      catTip.display();
    }
    
  }
  
  void onHover(){
    catTip.onHover();
  }
  
  void offHover(){
    catTip.offHover();
  }



}
