
class Tooltip{
  String tipText; // what goes in the tooltip
  float tipWidth; // width of title
  float alpha; // alpha value for tooltip hover
  float x; // x coordinate
  float y; // y coordinate
  float speed; // speed of fade
  String align; // how the tooltip needs to be aligned relative to it's content
  boolean alignToMouse;
  
  Tooltip(float tempx, float tempy, String temptext, String tempalign){
    y = tempy-10;
    tipText = temptext;
    speed = 25;
    align = tempalign;
    tipWidth = (textWidth(tipText)) + 50;
    
    if (y == mouseY) {
      alignToMouse = true;
    }
    
    if (align.equals("right")) {
      x = tempx - (tipWidth/2);
    }
    if (align.equals("center")) {
      x = tempx;
    }
    if (align.equals("left")) {
      x = tempx + (tipWidth/2);
    }
  
  }

  void display(){
      // update mouse position
      if (alignToMouse == true) {
        y = mouseY - transY;
      }
    
     textFont(av18Font);
     fill(#eeeeee, alpha);
     noStroke();
     rectMode(CENTER);
     rect(x, y, tipWidth, 30);
     fill(#282828, alpha);
     textAlign(CENTER, CENTER);
     text(tipText, x, y);
  
  }
  
  void onHover(){
    // fade tooltip in
    if (alpha < 255) {
      alpha = alpha + (speed*1.5);
     }
    if (alpha > 255) {
      alpha = 255;
    }
  }
    
  void offHover(){
    // fade tooltip out
    if (alpha > 0) {
      alpha = alpha - speed;
    } if (alpha < 0){
      alpha = 0;
    }
  }
  

}


